## org.jfree.report.modules.preferences.base
Class NullConfigStorage

    java.lang.Object
      org.jfree.report.modules.preferences.base.NullConfigStorage

All Implemented Interfaces:
  ConfigStorage

    public class NullConfigStorage

extends java.lang.Object
implements ConfigStorage

An empty default implementation. This config storare will not store any values and will provide no read access to stored properties by denying their existence.

Author:
  Thomas Morgner

Constructor Summary
`NullConfigStorage()` DefaultConstructor.

Method Summary
`boolean` `isAvailable(java.lang.String configPath)` Tests, whether some configuration data exists for the given configuration.
`org.pentaho.reporting.libraries.base.config.Configuration` `load(java.lang.String configPath, org.pentaho.reporting.libraries.base.config.Configuration defaults)` Loads the properties from the given path, specifying the given properties as default.
`void` `store(java.lang.String configPath, org.pentaho.reporting.libraries.base.config.Configuration properties)` This method does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullConfigStorage

    public NullConfigStorage()

  DefaultConstructor.

Method Detail

### store

    public void store(java.lang.String configPath,
                      org.pentaho.reporting.libraries.base.config.Configuration properties)

  This method does nothing.

  Specified by:
    `store` in interface `ConfigStorage`
  Parameters:
    `configPath` - this parameter is not used.
    `properties` - this parameter is not used.
  See Also:
    `(java.lang.String, java.util.Properties)`

### load

    public org.pentaho.reporting.libraries.base.config.Configuration load(java.lang.String configPath,
                                                                          org.pentaho.reporting.libraries.base.config.Configuration defaults)
                                                                   throws ConfigStoreException

  Loads the properties from the given path, specifying the given properties as default.

  This implementation will always throw and ConfigStoreException as the specified resource is not available.

  Specified by:
    `load` in interface `ConfigStorage`
  Parameters:
    `configPath` - the configuration path from where to read the properties.
    `defaults` - the property set that acts as fallback to provide default values.
  Returns:
    the loaded properties
  Throws:
    `ConfigStoreException` - always throws this exception as the specified resource will be not available.

### isAvailable

    public boolean isAvailable(java.lang.String configPath)

  Tests, whether some configuration data exists for the given configuration.

  This method returns always false and denies the existence of any resource.

  Specified by:
    `isAvailable` in interface `ConfigStorage`
  Parameters:
    `configPath` - the configuration path to the property storage.
  Returns:
    always false as this implementation does not store anything.